#!/bin/bash
#Replace password below with your sudo password, i.e. "12345" if your password is 12345

echo "This is a Hacking Demo simulation for Camera Control"
echo "sudo rmmod -f uvcvideo"
echo "password" | sudo -S rmmod -f uvcvideo
read  -n 1 -p"Press Enter to continue...." enterkey
echo "sudo modprobe uvcvideo"
echo "password" | sudo -S modprobe uvcvideo
read  -n 1 -p "Press Enter to continue...." enterkey 
echo "amixer set Capture nocap"
amixer set Capture nocap
read  -n 1 -p "Press Enter to continue...." enterkey 
echo "amixer set Capture cap"
amixer set Capture cap
read  -n 1 -p "Press Enter to finish..." enterkey
echo "Hacking Demo finished" 
clear
